{
  "accUserMode" : 2,
  "caption" : "书",
  "codeName" : "bookUsr09062298CustomView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookUsr09062298CustomView.json",
  "name" : "bookUsr09062298CustomView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSDEViewCodeName" : "Usr09062298CustomView",
  "getPSDEViewId" : "A21A37E5-8267-49EC-8367-8D4A029FFA5F",
  "getPSViewLayoutPanel" : {
    "getAllPSPanelFields" : [ {
      "id" : "field_text_dynamic",
      "viewFieldName" : "bookname"
    } ],
    "codeName" : "Usr0906292345",
    "controlType" : "VIEWLAYOUTPANEL",
    "layoutMode" : "FLEX",
    "logicName" : "多数据容器仅数据布局面板",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlParam" : { },
    "getPSLayout" : {
      "layout" : "FLEX"
    },
    "getRootPSPanelItems" : [ {
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "page_container",
      "getPSLayout" : {
        "dir" : "column",
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "getPSPanelItems" : [ {
        "caption" : "分页部件",
        "itemStyle" : "DEFAULT",
        "itemType" : "TABPANEL",
        "name" : "tabpanel",
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "getPSPanelTabPages" : [ {
          "caption" : "多数据容器-仅数据",
          "itemStyle" : "DEFAULT",
          "itemType" : "TABPAGE",
          "name" : "tabpage",
          "getPSLayout" : {
            "layout" : "FLEX"
          },
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "多项数据容器",
            "dataRegionType" : "MULTIDATA_RAW",
            "dataSourceType" : "DEDATASET",
            "itemStyle" : "DEFAULT",
            "itemType" : "CONTAINER",
            "name" : "container_multidata_raw",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "FetchDefault"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "getPSLayout" : {
              "layout" : "FLEX"
            },
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "getPSPanelItems" : [ {
              "caption" : "列表",
              "itemStyle" : "DEFAULT",
              "itemType" : "CTRLPOS",
              "name" : "list",
              "getPSLayoutPos" : {
                "grow" : -1,
                "layout" : "FLEX"
              },
              "showCaption" : true
            }, {
              "caption" : "数据视图",
              "itemStyle" : "DEFAULT",
              "itemType" : "CTRLPOS",
              "name" : "dataview",
              "getPSLayoutPos" : {
                "grow" : -1,
                "layout" : "FLEX"
              },
              "showCaption" : true
            } ],
            "predefinedType" : "CONTAINER_MULTIDATA_RAW"
          } ],
          "showCaption" : true
        }, {
          "caption" : "多数据仅数据2",
          "itemStyle" : "DEFAULT",
          "itemType" : "TABPAGE",
          "name" : "tabpage2",
          "getPSLayout" : {
            "layout" : "FLEX"
          },
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "多项数据容器",
            "dataRegionType" : "MULTIDATA_RAW",
            "dataSourceType" : "DEDATASET",
            "itemStyle" : "DEFAULT",
            "itemType" : "CONTAINER",
            "name" : "container_multidata_raw1",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "FetchDefault"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
            },
            "getPSLayout" : {
              "layout" : "FLEX"
            },
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "getPSPanelItems" : [ {
              "caption" : "图表",
              "contentHeight" : 500.0,
              "height" : 500.0,
              "itemStyle" : "DEFAULT",
              "itemType" : "CTRLPOS",
              "name" : "chart",
              "getPSLayoutPos" : {
                "grow" : -1,
                "height" : 500,
                "heightMode" : "PX",
                "layout" : "FLEX"
              },
              "showCaption" : true
            }, {
              "caption" : "表格",
              "itemStyle" : "DEFAULT",
              "itemType" : "CTRLPOS",
              "name" : "grid",
              "getPSLayoutPos" : {
                "grow" : -1,
                "layout" : "FLEX"
              },
              "showCaption" : true
            } ],
            "predefinedType" : "CONTAINER_MULTIDATA_RAW"
          } ],
          "showCaption" : true
        }, {
          "caption" : "多数据容器-标准",
          "itemStyle" : "DEFAULT",
          "itemType" : "TABPAGE",
          "name" : "tabpage1",
          "getPSLayout" : {
            "layout" : "FLEX"
          },
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "多项数据容器",
            "dataRegionType" : "MULTIDATA",
            "dataSourceType" : "DEDATASET",
            "itemStyle" : "DEFAULT",
            "itemType" : "CONTAINER",
            "name" : "container_multidata",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "FetchDefault"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "getPSLayout" : {
              "layout" : "FLEX"
            },
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "getPSPanelItems" : [ {
              "caption" : "文本(动态)",
              "itemStyle" : "DEFAULT",
              "itemType" : "FIELD",
              "name" : "field_text_dynamic",
              "getPSEditor" : {
                "editorType" : "SPAN",
                "name" : "field_text_dynamic",
                "predefinedType" : "FIELD_TEXT_DYNAMIC",
                "renderMode" : "TEXT_DYNAMIC",
                "enableLinkView" : false
              },
              "getPSLayoutPos" : {
                "grow" : -1,
                "layout" : "FLEX"
              },
              "viewFieldName" : "bookname"
            } ],
            "predefinedType" : "CONTAINER_MULTIDATA"
          } ],
          "showCaption" : true
        }, {
          "itemStyle" : "DEFAULT",
          "itemType" : "TABPAGE",
          "name" : "tabpage3",
          "getPSLayout" : {
            "layout" : "FLEX"
          },
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "工具栏",
            "itemStyle" : "DEFAULT",
            "itemType" : "CTRLPOS",
            "name" : "toolbar",
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "showCaption" : true
          } ]
        } ]
      } ]
    }, {
      "caption" : "传送部件占位",
      "itemStyle" : "DEFAULT",
      "itemType" : "RAWITEM",
      "name" : "teleport_placeholder",
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "getPSRawItem" : {
        "name" : "teleport_placeholder",
        "getPSRawItemParams" : [ {
          "key" : "key",
          "name" : "panelitem",
          "value" : "TeleportTag"
        }, {
          "key" : "TeleportTag",
          "name" : "panelitem1",
          "value" : "tewkjrlkwjlskjfsjdfls"
        } ],
        "predefinedType" : "TELEPORT_PLACEHOLDER"
      },
      "showCaption" : true
    } ],
    "layoutBodyOnly" : false,
    "layoutPanel" : true,
    "useDefaultLayout" : false,
    "viewProxyMode" : true,
    "modelid" : "A5077BF5-0DB2-47E2-B6C7-71349561B77A",
    "modeltype" : "PSSYSVIEWLAYOUTPANEL",
    "getPSControls" : [ {
      "codeName" : "Usr08024416ListView_List",
      "controlType" : "LIST",
      "getCreatePSControlAction" : {
        "modelref" : true,
        "id" : "create",
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      },
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSLISTS/Usr08024416ListView_List.json",
      "getFetchPSControlAction" : {
        "modelref" : true,
        "id" : "fetch",
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      },
      "getGetPSControlAction" : {
        "modelref" : true,
        "id" : "load",
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      },
      "groupMode" : "CODELIST",
      "getGroupPSAppDEField" : {
        "name" : "TYPE",
        "codeName" : "Type"
      },
      "getGroupPSCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/ModelRepository__CodeList44.json"
      },
      "getGroupPSUIActionGroup" : {
        "codeName" : "Usr0123350661",
        "name" : "气泡打开视图界面行为组",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        },
        "getPSUIActionGroupDetails" : [ {
          "actionLevel" : 50,
          "caption" : "气泡打开",
          "detailType" : "DEUIACTION",
          "name" : "u67903cf",
          "getPSUIAction" : {
            "actionLevel" : 50,
            "actionTarget" : "NONE",
            "caption" : "气泡打开",
            "codeName" : "openPopover",
            "getFrontPSAppView" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookUsrPopoverEditView.json",
              "viewType" : "DEEDITVIEW"
            },
            "frontProcessType" : "WIZARD",
            "fullCodeName" : "Book_openPopover",
            "name" : "气泡打开",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "openPopover",
            "uIActionType" : "DEUIACTION",
            "id" : "openPopover@Book"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "打开主数据视图",
          "detailType" : "DEUIACTION",
          "name" : "uf5bd897",
          "getPSUIAction" : {
            "actionTarget" : "SINGLEKEY",
            "caption" : "打开主数据视图",
            "codeName" : "open_main_view",
            "getFrontPSAppView" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookGridView.json",
              "viewType" : "DEGRIDVIEW"
            },
            "frontProcessType" : "TOP",
            "fullCodeName" : "Book_open_main_view",
            "name" : "打开主数据视图",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "open_main_view",
            "uIActionType" : "DEUIACTION",
            "id" : "open_main_view@Book"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "actionLevel" : 50,
          "caption" : "气泡打开视图",
          "detailType" : "DEUIACTION",
          "name" : "udd11136",
          "getPSUIAction" : {
            "actionLevel" : 50,
            "actionTarget" : "NONE",
            "caption" : "气泡打开视图",
            "codeName" : "openPopoverView",
            "getFrontPSAppView" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookUsrPopoverEditView.json",
              "viewType" : "DEEDITVIEW"
            },
            "frontProcessType" : "WIZARD",
            "fullCodeName" : "Book_openPopoverView",
            "name" : "气泡打开视图b",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "openPopoverView",
            "uIActionType" : "DEUIACTION",
            "globalUIAction" : true,
            "id" : "openPopoverView@Book"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "打开数据导出视图",
          "detailType" : "DEUIACTION",
          "name" : "u5cdc0a2",
          "getPSUIAction" : {
            "actionTarget" : "SINGLEDATA",
            "caption" : "打开数据导出视图",
            "codeName" : "frontDataExp",
            "frontProcessType" : "DATAEXP",
            "fullCodeName" : "Book_frontDataExp",
            "name" : "打开数据导出视图",
            "getPSAppDEDataExport" : {
              "modelref" : true,
              "id" : "DataExport"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "frontDataExp",
            "uIActionType" : "DEUIACTION",
            "id" : "frontDataExp@Book"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "打开HTML界面",
          "detailType" : "DEUIACTION",
          "name" : "u3685053",
          "getPSUIAction" : {
            "actionTarget" : "SINGLEDATA",
            "caption" : "打开HTML界面",
            "codeName" : "OpenHtml",
            "frontProcessType" : "OPENHTMLPAGE",
            "fullCodeName" : "Book_OpenHtml",
            "htmlPageUrl" : "https://www.baidu.com",
            "name" : "OpenHtml",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "OpenHtml",
            "uIActionType" : "DEUIACTION",
            "id" : "OpenHtml@Book"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        } ],
        "uniqueTag" : "Book__Usr0123350661"
      },
      "getItemPSLayoutPanel" : {
        "getAllPSPanelFields" : [ {
          "id" : "bookname",
          "viewFieldName" : "BOOKNAME"
        } ],
        "codeName" : "Usr0909028569",
        "controlType" : "PANEL",
        "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSPANELS/Usr0909028569.json",
        "layoutMode" : "FLEX",
        "logicName" : "Usr08024416ListView_List列表",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        },
        "getPSControlParam" : { },
        "getPSLayout" : {
          "layout" : "FLEX"
        },
        "getRootPSPanelItems" : [ {
          "caption" : "文本(动态)",
          "itemStyle" : "DEFAULT",
          "itemType" : "FIELD",
          "name" : "bookname",
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "bookname",
            "predefinedType" : "FIELD_TEXT_DYNAMIC",
            "renderMode" : "TEXT_DYNAMIC",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "viewFieldName" : "BOOKNAME"
        } ],
        "layoutPanel" : true,
        "name" : "list_itempanel",
        "modelid" : "6AA8AFA2-06DF-4A35-B471-93A66CAFF9B3",
        "modeltype" : "PSSYSVIEWPANEL"
      },
      "logicName" : "List",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      },
      "getPSControlHandler" : {
        "getPSHandlerActions" : [ {
          "actionName" : "Get",
          "actionType" : "DEACTION",
          "dataAccessAction" : "READ",
          "name" : "load",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Get"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          }
        }, {
          "actionName" : "Create",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "create",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Create"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          }
        }, {
          "actionName" : "Update",
          "actionType" : "DEACTION",
          "dataAccessAction" : "UPDATE",
          "name" : "update",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Update"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          }
        }, {
          "actionName" : "Remove",
          "actionType" : "DEACTION",
          "dataAccessAction" : "DELETE",
          "name" : "remove",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Remove"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          }
        }, {
          "actionType" : "DEDATASET",
          "name" : "fetch",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FetchDefault"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          }
        } ],
        "userDRAction" : "READ",
        "enableDEFieldPrivilege" : false,
        "id" : "列表控件处理器"
      },
      "getPSControlParam" : {
        "autoLoad" : true,
        "showBusyIndicator" : true,
        "id" : "LIST"
      },
      "getPSControls" : [ {
        "codeName" : "Usr09062298CustomViewlist_quicktoolbar",
        "controlType" : "TOOLBAR",
        "logicName" : "快速操作工具栏",
        "name" : "list_quicktoolbar",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        },
        "getPSControlParam" : {
          "id" : "list_quicktoolbar"
        },
        "getPSDEToolbarItems" : [ {
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.NEW"
          },
          "caption" : "新建",
          "groupExtractMode" : "ITEM",
          "itemType" : "DEUIACTION",
          "name" : "deuiaction1",
          "noPrivDisplayMode" : 2,
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "list_quicktoolbar_deuiaction1"
          },
          "getPSSysImage" : {
            "glyph" : "xf0f6@FontAwesome",
            "cssClass" : "fa fa-file-text-o"
          },
          "getPSUIAction" : {
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.NEW"
            },
            "caption" : "新建",
            "codeName" : "New",
            "fullCodeName" : "New",
            "name" : "表格界面_新建操作",
            "getPSSysImage" : {
              "glyph" : "xf0f6@FontAwesome",
              "cssClass" : "fa fa-file-text-o"
            },
            "predefinedType" : "GRIDVIEW_NEWACTION",
            "refreshMode" : 1,
            "timeout" : 60000,
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.NEW"
            },
            "uIActionMode" : "SYS",
            "uIActionTag" : "New",
            "uIActionType" : "DEUIACTION",
            "reloadData" : true
          },
          "tooltip" : "新建",
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.NEW"
          },
          "showCaption" : true,
          "showIcon" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.EDITVIEW.CLOSE"
          },
          "caption" : "关闭",
          "groupExtractMode" : "ITEM",
          "itemType" : "DEUIACTION",
          "name" : "deuiaction2",
          "noPrivDisplayMode" : 2,
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "list_quicktoolbar_deuiaction2"
          },
          "getPSSysImage" : {
            "glyph" : "xf08b@FontAwesome",
            "cssClass" : "fa fa-sign-out"
          },
          "getPSUIAction" : {
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.EDITVIEW.CLOSE"
            },
            "caption" : "关闭",
            "codeName" : "Exit",
            "fullCodeName" : "Exit",
            "name" : "编辑界面_退出操作",
            "getPSSysImage" : {
              "glyph" : "xf08b@FontAwesome",
              "cssClass" : "fa fa-sign-out"
            },
            "predefinedType" : "EDITVIEW_EXITACTION",
            "timeout" : 60000,
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.EDITVIEW.CLOSE"
            },
            "uIActionMode" : "SYS",
            "uIActionTag" : "Exit",
            "uIActionType" : "DEUIACTION"
          },
          "tooltip" : "关闭",
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.EDITVIEW.CLOSE"
          },
          "showCaption" : true,
          "showIcon" : true
        } ],
        "modelid" : "4B910475-5D70-462A-982D-356D14AF6724",
        "modeltype" : "PSDETOOLBAR"
      }, {
        "codeName" : "Usr09062298CustomViewlist_batchtoolbar",
        "controlType" : "TOOLBAR",
        "logicName" : "批操作工具栏",
        "name" : "list_batchtoolbar",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        },
        "getPSControlParam" : {
          "id" : "list_batchtoolbar"
        },
        "getPSDEToolbarItems" : [ {
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.REMOVE"
          },
          "caption" : "删除",
          "groupExtractMode" : "ITEM",
          "itemType" : "DEUIACTION",
          "name" : "deuiaction1",
          "noPrivDisplayMode" : 2,
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "list_batchtoolbar_deuiaction1"
          },
          "getPSSysImage" : {
            "glyph" : "xf00d@FontAwesome",
            "cssClass" : "fa fa-remove"
          },
          "getPSUIAction" : {
            "actionTarget" : "MULTIKEY",
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.REMOVE"
            },
            "caption" : "删除",
            "codeName" : "Remove",
            "fullCodeName" : "Remove",
            "name" : "表格界面_删除操作",
            "getPSSysImage" : {
              "glyph" : "xf00d@FontAwesome",
              "cssClass" : "fa fa-remove"
            },
            "predefinedType" : "GRIDVIEW_REMOVEACTION",
            "timeout" : 60000,
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
            },
            "uIActionMode" : "SYS",
            "uIActionTag" : "Remove",
            "uIActionType" : "DEUIACTION"
          },
          "tooltip" : "删除",
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
          },
          "uIActionTarget" : "MULTIKEY",
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "项测试",
          "groupExtractMode" : "ITEM",
          "itemType" : "DEUIACTION",
          "name" : "deuiaction2",
          "noPrivDisplayMode" : 2,
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "list_batchtoolbar_deuiaction2"
          },
          "getPSUIAction" : {
            "actionTarget" : "SINGLEDATA",
            "caption" : "打开HTML界面",
            "codeName" : "OpenHtml",
            "frontProcessType" : "OPENHTMLPAGE",
            "fullCodeName" : "Book_OpenHtml",
            "htmlPageUrl" : "https://www.baidu.com",
            "name" : "OpenHtml",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "OpenHtml",
            "uIActionType" : "DEUIACTION",
            "id" : "OpenHtml@Book"
          },
          "tooltip" : "项测试",
          "uIActionTarget" : "SINGLEDATA",
          "showCaption" : true,
          "showIcon" : true
        } ],
        "modelid" : "5F1F0A99-49FB-42C2-93D5-4B5741381C23",
        "modeltype" : "PSDETOOLBAR"
      } ],
      "getPSDEListDataItems" : [ {
        "dataType" : 25,
        "name" : "kind",
        "getPSAppDEField" : {
          "name" : "TYPE",
          "codeName" : "Type"
        }
      }, {
        "dataType" : 25,
        "name" : "text",
        "getPSAppDEField" : {
          "name" : "BOOKNAME",
          "codeName" : "BookName"
        }
      }, {
        "dataType" : 25,
        "name" : "srfkey",
        "getPSAppDEField" : {
          "name" : "BOOKID",
          "codeName" : "BookId"
        }
      }, {
        "dataType" : 25,
        "name" : "srfmajortext",
        "getPSAppDEField" : {
          "name" : "BOOKNAME",
          "codeName" : "BookName"
        }
      }, {
        "dataType" : 25,
        "name" : "phoneid",
        "getPSAppDEField" : {
          "name" : "PHONEID",
          "codeName" : "PhoneId"
        }
      }, {
        "dataType" : 25,
        "name" : "pbookid",
        "getPSAppDEField" : {
          "name" : "PBOOKID",
          "codeName" : "Pbookid"
        }
      } ],
      "getPSSysPFPlugin" : {
        "pluginType" : "EDITOR_CUSTOMSTYLE",
        "pluginCode" : "editorTest"
      },
      "pagingSize" : 1000,
      "getRemovePSControlAction" : {
        "modelref" : true,
        "id" : "remove",
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      },
      "getUpdatePSControlAction" : {
        "modelref" : true,
        "id" : "update",
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      },
      "hasWFDataItems" : false,
      "enableGroup" : true,
      "enableRowEdit" : false,
      "enableRowEditGroup" : false,
      "enableRowEditOrder" : false,
      "enableRowNew" : false,
      "noSort" : false,
      "showHeader" : true,
      "singleSelect" : false,
      "name" : "list",
      "modelid" : "416DCB90-0D16-4236-BEB7-C0AF0B105C3E",
      "modeltype" : "PSDELIST"
    }, {
      "codeName" : "Usr09211294DataView_DataView",
      "controlType" : "DATAVIEW",
      "getCreatePSControlAction" : {
        "modelref" : true,
        "id" : "create",
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      },
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSDATAVIEWS/Usr09211294DataView_DataView.json",
      "getFetchPSControlAction" : {
        "modelref" : true,
        "id" : "fetch",
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      },
      "getGetPSControlAction" : {
        "modelref" : true,
        "id" : "load",
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      },
      "groupMode" : "NONE",
      "getItemPSLayoutPanel" : {
        "getAllPSPanelFields" : [ {
          "id" : "field_text_dynamic2",
          "viewFieldName" : "BOOKNAME"
        }, {
          "id" : "field_text_dynamic",
          "viewFieldName" : "BOOKNAME"
        }, {
          "id" : "field_text_dynamic1",
          "viewFieldName" : "TYPE"
        } ],
        "codeName" : "Usr0921642315",
        "controlType" : "PANEL",
        "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSPANELS/Usr0921642315.json",
        "layoutMode" : "TABLE_24COL",
        "logicName" : "卡片视图test_卡片视图_卡片面板",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        },
        "getPSControlParam" : { },
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getRootPSPanelItems" : [ {
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "page_container",
          "getPSLayout" : {
            "dir" : "column",
            "layout" : "FLEX"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSPanelItems" : [ {
            "caption" : "标签111",
            "contentType" : "RAW",
            "itemStyle" : "DEFAULT",
            "itemType" : "RAWITEM",
            "name" : "static_label",
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "getPSRawItem" : {
              "caption" : "标签",
              "contentType" : "RAW",
              "name" : "static_label",
              "predefinedType" : "STATIC_LABEL",
              "renderMode" : "PARAGRAPH"
            },
            "rawContent" : "标签",
            "showCaption" : true
          }, {
            "caption" : "文本1111",
            "contentType" : "RAW",
            "itemStyle" : "DEFAULT",
            "itemType" : "RAWITEM",
            "name" : "static_text",
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "getPSRawItem" : {
              "caption" : "文本内容",
              "contentType" : "RAW",
              "name" : "static_text",
              "predefinedType" : "STATIC_TEXT",
              "renderMode" : "TEXT"
            },
            "rawContent" : "文本内容",
            "showCaption" : true
          }, {
            "caption" : "标签",
            "contentType" : "RAW",
            "itemStyle" : "DEFAULT",
            "itemType" : "RAWITEM",
            "name" : "static_label1",
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "getPSRawItem" : {
              "caption" : "测试h1-----",
              "contentType" : "RAW",
              "name" : "static_label1",
              "predefinedType" : "STATIC_LABEL",
              "renderMode" : "PARAGRAPH"
            },
            "rawContent" : "测试h1-----",
            "showCaption" : true
          }, {
            "caption" : "文本(动态)",
            "itemStyle" : "DEFAULT",
            "itemType" : "FIELD",
            "name" : "field_text_dynamic2",
            "getPSEditor" : {
              "editorType" : "TEXTBOX",
              "name" : "field_text_dynamic2",
              "predefinedType" : "FIELD_TEXT_DYNAMIC"
            },
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "viewFieldName" : "BOOKNAME"
          }, {
            "caption" : "图片",
            "contentType" : "IMAGE",
            "itemStyle" : "DEFAULT",
            "itemType" : "RAWITEM",
            "name" : "static_image",
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "getPSRawItem" : {
              "contentType" : "IMAGE",
              "name" : "static_image",
              "getPSSysImage" : {
                "glyph" : "xf207@FontAwesome",
                "cssClass" : "fa fa-bus"
              },
              "predefinedType" : "STATIC_IMAGE"
            },
            "getPSSysImage" : {
              "glyph" : "xf207@FontAwesome",
              "cssClass" : "fa fa-bus"
            },
            "showCaption" : true
          }, {
            "caption" : "文本",
            "contentType" : "HTML",
            "htmlContent" : "<p>&lt;div&gt;&lt;p&gt;测试html&lt;/p&gt;&lt;/div&gt;</p>",
            "itemStyle" : "DEFAULT",
            "itemType" : "RAWITEM",
            "name" : "static_text1",
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "getPSRawItem" : {
              "content" : "<p>&lt;div&gt;&lt;p&gt;测试html&lt;/p&gt;&lt;/div&gt;</p>",
              "contentType" : "HTML",
              "name" : "static_text1",
              "predefinedType" : "STATIC_TEXT"
            },
            "showCaption" : true
          }, {
            "caption" : "文本",
            "contentType" : "DIVIDER",
            "itemStyle" : "DEFAULT",
            "itemType" : "RAWITEM",
            "name" : "static_text2",
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "getPSRawItem" : {
              "contentType" : "DIVIDER",
              "name" : "static_text2",
              "predefinedType" : "STATIC_TEXT",
              "rawContent" : "文本内容"
            },
            "rawContent" : "文本内容",
            "showCaption" : true
          }, {
            "caption" : "文本(动态)",
            "itemStyle" : "DEFAULT",
            "itemType" : "FIELD",
            "name" : "field_text_dynamic",
            "getPSEditor" : {
              "editorType" : "SPAN",
              "name" : "field_text_dynamic",
              "predefinedType" : "FIELD_TEXT_DYNAMIC",
              "renderMode" : "TEXT_DYNAMIC",
              "enableLinkView" : false
            },
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "viewFieldName" : "BOOKNAME"
          }, {
            "caption" : "文本(动态)",
            "itemStyle" : "DEFAULT",
            "itemType" : "FIELD",
            "name" : "field_text_dynamic1",
            "getPSEditor" : {
              "editorType" : "SPAN",
              "name" : "field_text_dynamic1",
              "predefinedType" : "FIELD_TEXT_DYNAMIC",
              "renderMode" : "TEXT_DYNAMIC",
              "enableLinkView" : false
            },
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "viewFieldName" : "TYPE"
          }, {
            "actionType" : "NONE",
            "buttonStyle" : "DEFAULT",
            "caption" : "普通按钮",
            "itemStyle" : "DEFAULT",
            "itemType" : "BUTTON",
            "name" : "button_calluilogic2",
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "tooltip" : "普通按钮",
            "uIActionTarget" : "NONE",
            "showCaption" : true
          }, {
            "actionType" : "NONE",
            "buttonStyle" : "SUCCESS",
            "caption" : "成功按钮",
            "itemStyle" : "SUCCESS",
            "itemType" : "BUTTON",
            "name" : "button_calluilogic",
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "tooltip" : "成功按钮",
            "uIActionTarget" : "NONE",
            "showCaption" : true
          }, {
            "actionType" : "NONE",
            "buttonStyle" : "STYLE2",
            "caption" : "按钮2",
            "itemStyle" : "STYLE2",
            "itemType" : "BUTTON",
            "name" : "button_calluilogic1",
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "tooltip" : "按钮2",
            "uIActionTarget" : "NONE",
            "showCaption" : true
          } ]
        } ],
        "name" : "itemlayoutpanel",
        "modelid" : "387C268C-5493-45DB-AC88-4B58D9E65DAB",
        "modeltype" : "PSSYSVIEWPANEL"
      },
      "logicName" : "卡片视图test_卡片视图",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      },
      "getPSControlHandler" : {
        "getPSHandlerActions" : [ {
          "actionName" : "Get",
          "actionType" : "DEACTION",
          "dataAccessAction" : "READ",
          "name" : "load",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Get"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          }
        }, {
          "actionName" : "Create",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "create",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Create"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          }
        }, {
          "actionName" : "Update",
          "actionType" : "DEACTION",
          "dataAccessAction" : "UPDATE",
          "name" : "update",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Update"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          }
        }, {
          "actionName" : "Remove",
          "actionType" : "DEACTION",
          "dataAccessAction" : "DELETE",
          "name" : "remove",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Remove"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          }
        }, {
          "actionType" : "DEDATASET",
          "name" : "fetch",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FetchDefault"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          }
        } ],
        "userDRAction" : "READ",
        "enableDEFieldPrivilege" : false,
        "id" : "数据视图处理器"
      },
      "getPSControlParam" : {
        "autoLoad" : true,
        "showBusyIndicator" : true,
        "id" : "DATAVIEW"
      },
      "getPSDEDataViewDataItems" : [ {
        "dataType" : 25,
        "getFrontPSCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/ModelRepository__CodeList44.json"
        },
        "name" : "type"
      }, {
        "dataType" : 25,
        "name" : "bookname"
      }, {
        "dataType" : 25,
        "name" : "srfkey",
        "getPSAppDEField" : {
          "name" : "BOOKID",
          "codeName" : "BookId"
        }
      }, {
        "dataType" : 25,
        "name" : "srfmajortext",
        "getPSAppDEField" : {
          "name" : "BOOKNAME",
          "codeName" : "BookName"
        }
      }, {
        "dataType" : 25,
        "name" : "phoneid",
        "getPSAppDEField" : {
          "name" : "PHONEID",
          "codeName" : "PhoneId"
        }
      }, {
        "dataType" : 25,
        "name" : "pbookid",
        "getPSAppDEField" : {
          "name" : "PBOOKID",
          "codeName" : "Pbookid"
        }
      } ],
      "getPSDEDataViewItems" : [ {
        "cLConvertMode" : "FRONT",
        "caption" : "类型",
        "dataItemName" : "type",
        "itemType" : "DATAITEM",
        "name" : "TYPE",
        "getPSAppDEField" : {
          "name" : "TYPE",
          "codeName" : "Type"
        },
        "getPSCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/ModelRepository__CodeList44.json"
        },
        "enableSort" : true
      }, {
        "caption" : "书名称",
        "dataItemName" : "bookname",
        "itemType" : "DATAITEM",
        "name" : "BOOKNAME",
        "getPSAppDEField" : {
          "name" : "BOOKNAME",
          "codeName" : "BookName"
        },
        "enableSort" : true
      } ],
      "pagingMode" : 2,
      "pagingSize" : 10,
      "getRemovePSControlAction" : {
        "modelref" : true,
        "id" : "remove",
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      },
      "getUpdatePSControlAction" : {
        "modelref" : true,
        "id" : "update",
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      },
      "hasWFDataItems" : false,
      "appendDEItems" : true,
      "enableCardEdit" : false,
      "enableCardEditGroup" : false,
      "enableCardEditOrder" : false,
      "enableCardNew" : false,
      "enableGroup" : false,
      "enablePagingBar" : false,
      "noSort" : false,
      "singleSelect" : false,
      "name" : "dataview",
      "modelid" : "6A8B1B78-7183-4F70-9801-297C89D9EFAE",
      "modeltype" : "PSDEDATAVIEW"
    }, {
      "codeName" : "Usr0301355514",
      "controlType" : "CHART",
      "coordinateSystem" : "XY",
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo/PSCHARTS/Usr0301355514.json",
      "emptyText" : "无数据empty",
      "getFetchPSControlAction" : {
        "modelref" : true,
        "id" : "fetch",
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
        }
      },
      "logicName" : "Chart3",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
      },
      "getPSChartCoordinateSystems" : [ {
        "eChartsType" : "cartesian2d",
        "index" : 0,
        "name" : "[line_2]直角坐标系[0]",
        "getPSChartGrid" : {
          "index" : 0,
          "name" : "[line_2]直角坐标系[0]",
          "getPSChartCoordinateSystem" : {
            "modelref" : true,
            "id" : "0"
          },
          "getPSChartGridXAxis0" : {
            "modelref" : true,
            "id" : "0"
          },
          "getPSChartGridYAxis0" : {
            "modelref" : true,
            "id" : "0"
          },
          "type" : "grid",
          "id" : "0"
        },
        "type" : "XY",
        "id" : "0"
      } ],
      "getPSChartDataSetGroups" : [ {
        "index" : 0,
        "name" : "DEFAULT",
        "getPSAppDEDataSet" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
        },
        "id" : "0"
      } ],
      "getPSChartDataSets" : [ {
        "index" : 0,
        "name" : "line_2-DEFAULT",
        "getPSChartDataSetFields" : [ {
          "groupMode" : "CODELIST",
          "index" : 0,
          "name" : "NAME",
          "getPSCodeList" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/common__UsrCodeList0129740128.json"
          },
          "groupField" : true,
          "id" : "0"
        }, {
          "index" : 1,
          "name" : "AGE",
          "groupField" : false,
          "id" : "1"
        } ],
        "id" : "0"
      }, {
        "index" : 1,
        "name" : "bar_1-DEFAULT",
        "getPSChartDataSetFields" : [ {
          "groupMode" : "CODELIST",
          "index" : 0,
          "name" : "NAME",
          "getPSCodeList" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/common__UsrCodeList0129740128.json"
          },
          "groupField" : true,
          "id" : "0"
        }, {
          "index" : 1,
          "name" : "ORGID",
          "groupField" : true,
          "id" : "1"
        }, {
          "index" : 2,
          "name" : "SCORES",
          "groupField" : false,
          "id" : "2"
        } ],
        "id" : "1"
      }, {
        "index" : 2,
        "name" : "bar_0-DEFAULT",
        "getPSChartDataSetFields" : [ {
          "groupMode" : "CODELIST",
          "index" : 0,
          "name" : "NAME",
          "getPSCodeList" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/common__UsrCodeList0129740128.json"
          },
          "groupField" : true,
          "id" : "0"
        }, {
          "index" : 1,
          "name" : "AGE",
          "groupField" : false,
          "id" : "1"
        } ],
        "id" : "2"
      } ],
      "getPSChartGrids" : [ {
        "index" : 0,
        "name" : "[line_2]直角坐标系[0]",
        "getPSChartCoordinateSystem" : {
          "modelref" : true,
          "id" : "0"
        },
        "getPSChartGridXAxis0" : {
          "modelref" : true,
          "id" : "0"
        },
        "getPSChartGridYAxis0" : {
          "modelref" : true,
          "id" : "0"
        },
        "type" : "grid",
        "id" : "0"
      } ],
      "getPSChartXAxises" : [ {
        "eChartsPos" : "xAxis",
        "eChartsType" : "category",
        "index" : 0,
        "name" : "axis_xAxis_0",
        "position" : "bottom",
        "type" : "category",
        "getUserParam" : {
          "EC.axisTick" : "{\"show\":0}",
          "ECX.axisLine" : "{\"lineStyle\":{\"color\":\"rgba(0,0,0,0.15)\"}}",
          "EC.axisLine" : "{\"lineStyle\":{\"color\":\"rgba(0,0,0,0.15)\"}}"
        },
        "id" : "0"
      } ],
      "getPSChartYAxises" : [ {
        "eChartsPos" : "yAxis",
        "eChartsType" : "value",
        "index" : 0,
        "name" : "axis_yAxis_0",
        "position" : "left",
        "type" : "numeric",
        "id" : "0"
      } ],
      "getPSControlHandler" : {
        "getPSHandlerActions" : [ {
          "actionName" : "Get",
          "actionType" : "DEACTION",
          "dataAccessAction" : "READ",
          "name" : "load",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Get"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
          }
        }, {
          "actionName" : "Create",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "create",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Create"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
          }
        }, {
          "actionName" : "Update",
          "actionType" : "DEACTION",
          "dataAccessAction" : "UPDATE",
          "name" : "update",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Update"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
          }
        }, {
          "actionName" : "Remove",
          "actionType" : "DEACTION",
          "dataAccessAction" : "DELETE",
          "name" : "remove",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Remove"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
          }
        }, {
          "actionType" : "DEDATASET",
          "name" : "fetch",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FetchDefault"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
          }
        } ],
        "userDRAction" : "READ",
        "enableDEFieldPrivilege" : false,
        "id" : "图形控件处理器"
      },
      "getPSControlParam" : {
        "autoLoad" : true,
        "showBusyIndicator" : true,
        "id" : "CHART"
      },
      "getPSControlRenders" : [ {
        "layoutPanelModel" : "return `<div class='test_test_test'><svg viewBox=\"0 0 16 16\" xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" width=\"1em\" preserveAspectRatio=\"xMidYMid meet\" focusable=\"false\" fill=\"currentColor\"><g id=\"aodeditor/link-insert\" stroke-width=\"1\" fill-rule=\"evenodd\"><path d=\"M12.253 4.13h-1.2v-1a2.8 2.8 0 0 0-5.6 0v4a2.8 2.8 0 0 0 2.8 2.8v1.2a4 4 0 0 1-4-4v-4a4 4 0 0 1 8 0v1zm-8 8h1.2v1a2.8 2.8 0 0 0 5.6 0v-4a2.8 2.8 0 0 0-2.8-2.8v-1.2a4 4 0 0 1 4 4v4a4 4 0 0 1-8 0v-1z\" id=\"aod形状结合\" transform=\"rotate(46 8.253 8.13)\"></path></g></svg><span>测试无数据</span></div>`",
        "name" : "emptypanel",
        "renderType" : "LAYOUTPANEL_MODEL"
      } ],
      "getPSDEChartDataGrid" : {
        "index" : 0,
        "id" : "0"
      },
      "getPSDEChartLegend" : {
        "index" : 0,
        "showLegend" : true,
        "id" : "0"
      },
      "getPSDEChartSerieses" : [ {
        "caption" : "折线",
        "catalogField" : "NAME",
        "getCatalogPSCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/common__UsrCodeList0129740128.json"
        },
        "eChartsType" : "line",
        "groupMode" : "CODELIST",
        "index" : 0,
        "name" : "line_2",
        "getNavPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/ReginfoUsr0423209603EditView.json",
          "viewType" : "DEEDITVIEW"
        },
        "navViewParamJO" : {
          "testval" : "%age%"
        },
        "getPSChartCoordinateSystem" : {
          "modelref" : true,
          "id" : "0"
        },
        "getPSChartDataSet" : {
          "modelref" : true,
          "id" : "0"
        },
        "getPSChartSeriesEncode" : {
          "index" : 0,
          "name" : "坐标系编码",
          "getPSChartXAxis" : {
            "modelref" : true,
            "id" : "0"
          },
          "getPSChartYAxis" : {
            "modelref" : true,
            "id" : "0"
          },
          "type" : "XY",
          "x" : [ "NAME" ],
          "y" : [ "AGE" ],
          "id" : "0"
        },
        "getPSNavigateParams" : [ {
          "key" : "testval",
          "name" : "testval",
          "value" : "age",
          "rawValue" : false
        } ],
        "seriesLayoutBy" : "column",
        "seriesType" : "line",
        "valueField" : "AGE",
        "enableChartDataSet" : true,
        "stack" : false
      }, {
        "caption" : "分数",
        "catalogField" : "NAME",
        "getCatalogPSCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/common__UsrCodeList0129740128.json"
        },
        "eChartsType" : "bar",
        "groupMode" : "CODELIST",
        "index" : 1,
        "name" : "bar_1",
        "navFilter" : "DEPTID",
        "getNavPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/ReginfoGridView.json",
          "viewType" : "DEGRIDVIEW"
        },
        "getNavPSDER" : {
          "codeName" : "Reginfo",
          "dERType" : "DER1N",
          "dynaModelFilePath" : "PSMODULES/common/PSDATAENTITIES/Reginfo/PSDERS/DER1N_REGINFO_REGINFO_PREGINFOID.json",
          "fKeyName" : "FA09ABFCBC1BF360AA",
          "logicName" : "名称",
          "getMajorPSDataEntity" : {
            "modelref" : true,
            "path" : "PSMODULES/common/PSDATAENTITIES/Reginfo.json"
          },
          "masterOrder" : -1,
          "masterRS" : 0,
          "minorCodeName" : "Reginfos",
          "getMinorPSDataEntity" : {
            "modelref" : true,
            "path" : "PSMODULES/common/PSDATAENTITIES/Reginfo.json"
          },
          "minorServiceCodeName" : "Reginfos",
          "name" : "DER1N_REGINFO_REGINFO_PREGINFOID",
          "orderValue" : 100,
          "getPSPickupDEField" : {
            "name" : "PREGINFOID",
            "codeName" : "Preginfoid"
          },
          "pickupDEFName" : "PREGINFOID",
          "removeActionType" : -1,
          "removeOrder" : 0,
          "serviceCodeName" : "Reginfo",
          "enableFKey" : true
        },
        "getPSChartCoordinateSystem" : {
          "modelref" : true,
          "id" : "0"
        },
        "getPSChartDataSet" : {
          "modelref" : true,
          "id" : "1"
        },
        "getPSChartSeriesEncode" : {
          "index" : 0,
          "itemId" : "ORGID",
          "itemName" : "ORGID",
          "name" : "坐标系编码",
          "getPSChartXAxis" : {
            "modelref" : true,
            "id" : "0"
          },
          "getPSChartYAxis" : {
            "modelref" : true,
            "id" : "0"
          },
          "type" : "XY",
          "x" : [ "NAME" ],
          "y" : [ "SCORES" ],
          "id" : "0"
        },
        "getPSNavigateContexts" : [ {
          "key" : "TEST",
          "name" : "TEST",
          "value" : "srforgname",
          "rawValue" : false
        } ],
        "getPSNavigateParams" : [ {
          "key" : "name",
          "name" : "name",
          "value" : "name",
          "rawValue" : false
        } ],
        "seriesField" : "ORGID",
        "seriesLayoutBy" : "column",
        "seriesType" : "bar",
        "valueField" : "SCORES",
        "enableChartDataSet" : true,
        "stack" : false,
        "getUserParam" : {
          "EC.label" : "{\"position\":\"center\"}"
        }
      }, {
        "caption" : "年龄",
        "catalogField" : "NAME",
        "getCatalogPSCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/common__UsrCodeList0129740128.json"
        },
        "eChartsType" : "bar",
        "groupMode" : "CODELIST",
        "index" : 2,
        "name" : "bar_0",
        "getNavPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/ReginfoUsr0423209603EditView.json",
          "viewType" : "DEEDITVIEW"
        },
        "navViewParamJO" : {
          "testval" : "%age%"
        },
        "getPSChartCoordinateSystem" : {
          "modelref" : true,
          "id" : "0"
        },
        "getPSChartDataSet" : {
          "modelref" : true,
          "id" : "2"
        },
        "getPSChartSeriesEncode" : {
          "index" : 0,
          "name" : "坐标系编码",
          "getPSChartXAxis" : {
            "modelref" : true,
            "id" : "0"
          },
          "getPSChartYAxis" : {
            "modelref" : true,
            "id" : "0"
          },
          "type" : "XY",
          "x" : [ "NAME" ],
          "y" : [ "AGE" ],
          "id" : "0"
        },
        "getPSNavigateParams" : [ {
          "key" : "testval",
          "name" : "testval",
          "value" : "age",
          "rawValue" : false
        } ],
        "seriesLayoutBy" : "column",
        "seriesType" : "bar",
        "valueField" : "AGE",
        "enableChartDataSet" : true,
        "stack" : false,
        "getUserParam" : {
          "EC.label" : "{\"position\":\"inside\"}"
        }
      } ],
      "getPSDEChartTitle" : {
        "index" : 0,
        "title" : "柱状图",
        "showTitle" : false,
        "id" : "0"
      },
      "readOnly" : true,
      "name" : "chart",
      "modelid" : "A1BCD468-3027-4DAF-A36E-F8900BF586DA",
      "modeltype" : "PSDECHART",
      "getUserParam" : {
        "ECX.legend" : "{\"textStyle\":{\"color\":\"#999999\"}}",
        "tdType" : "3dbar",
        "EC.textStyle" : "{\"color\":\"#666666\",\"fontSize\":12}",
        "EC.legend" : "{\"textStyle\":{\"color\":\"#999999\"}}",
        "EC.color" : "[\"#73A0FA\",\"#FFB200\",\"#6DDA2F\",\"#ee6666\",\"#73c0de\",\"#3ba272\",\"#fc8452\",\"#9a60b4\",\"#ea7ccc\",\"#73A0FA\",\"#FFB200\"]"
      }
    }, {
      "aggMode" : "NONE",
      "codeName" : "Main",
      "columnEnableFilter" : 2,
      "columnEnableLink" : 2,
      "controlType" : "GRID",
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo/PSGRIDS/Main.json",
      "getFetchPSControlAction" : {
        "modelref" : true,
        "id" : "fetch",
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
        }
      },
      "groupMode" : "NONE",
      "hookEventNames" : [ "ONLOADSUCCESS" ],
      "logicName" : "主表格",
      "getNavPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/ReginfoUsr0423209603EditView.json",
        "viewType" : "DEEDITVIEW"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
      },
      "getPSControlAttributes" : [ {
        "attrName" : "spanMethod",
        "attrValue" : "({\r\n    row,\r\n    column,\r\n    rowIndex,\r\n    columnIndex,\r\n  }) => {\r\n    console.log('测试合并');\r\n    const { property } = column;\r\n    const rowspankeys = ['department','age'];\r\n    const tableData = ctrl.state.rows;\r\n    // 合并行\r\n    if (rowspankeys.length > 0 && rowspankeys.includes(property)) {\r\n      // 只有第一列或有值时才和并\r\n      const allow = columnIndex === 0 || row[property];\r\n      // 第二行开始合并\r\n      if (\r\n        rowIndex > 0 &&\r\n        allow &&\r\n        row[property] === tableData[rowIndex - 1].data[property]\r\n      ) {\r\n        return {\r\n          rowspan: 0,\r\n          colspan: 0,\r\n        };\r\n      }\r\n      // 第一行计算出合并长度\r\n      let rowspan = 1;\r\n      for (let i = rowIndex + 1; i < tableData.length; i++) {\r\n        if (allow && tableData[i].data[property] === row[property]) {\r\n          rowspan += 1;\r\n        } else {\r\n          break;\r\n        }\r\n      }\r\n      return {\r\n        rowspan,\r\n        colspan: 1,\r\n      };\r\n    }\r\n}",
        "name" : "logic"
      } ],
      "getPSControlHandler" : {
        "getPSHandlerActions" : [ {
          "actionName" : "Get",
          "actionType" : "DEACTION",
          "dataAccessAction" : "READ",
          "name" : "load",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Get"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
          }
        }, {
          "actionName" : "Create",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "create",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Create"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
          }
        }, {
          "actionName" : "Update",
          "actionType" : "DEACTION",
          "dataAccessAction" : "UPDATE",
          "name" : "update",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Update"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
          }
        }, {
          "actionName" : "Remove",
          "actionType" : "DEACTION",
          "dataAccessAction" : "DELETE",
          "name" : "remove",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Remove"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
          }
        }, {
          "actionName" : "GetDraft",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "loaddraft",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "GetDraft"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
          }
        }, {
          "actionType" : "DEDATASET",
          "name" : "fetch",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FetchDefault"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
          }
        } ],
        "userDRAction" : "READ",
        "enableDEFieldPrivilege" : false,
        "id" : "数据表格处理器"
      },
      "getPSControlLogics" : [ {
        "eventNames" : "onLoadSuccess",
        "logicTag" : "grid",
        "logicType" : "SCRIPT",
        "name" : "test",
        "scriptCode" : "setTimeout(() => {\r\n    console.log('测试1231321')\r\n\tconst rows = ctrl.state.rows;\r\n\tif (rows && rows.length > 0) {\r\n\trows.forEach(row => {\r\n\t\tconst titleColumn = row.uiActionGroupStates.reginfoname;\r\n\t\tconst name = row.data.name;\r\n\t\tif (titleColumn && Object.values(titleColumn).length > 0) {\r\n\t\tObject.values(titleColumn).forEach(action => {\r\n\t\t\t// 百度\r\n\t\t\tif (action.uiActionId === 'openbaidu') {\r\n\t\t\taction.visible = name ? name.includes('q') : true;\r\n\t\t\t}\r\n\t\t});\r\n\t\t}\r\n\t});\r\n\t}\r\n}, 1000);"
      } ],
      "getPSControlParam" : {
        "autoLoad" : true,
        "showBusyIndicator" : true,
        "id" : "GRID"
      },
      "getPSControlRenders" : [ {
        "name" : "emptypanel",
        "getPSLayoutPanel" : {
          "codeName" : "Usr0115540780",
          "controlType" : "PANEL",
          "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSPANELS/Usr0115540780.json",
          "layoutMode" : "Flex",
          "logicName" : "NoData20250115",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          },
          "getPSControlParam" : { },
          "getPSLayout" : {
            "layout" : "FLEX"
          },
          "getRootPSPanelItems" : [ {
            "itemStyle" : "DEFAULT",
            "itemType" : "CONTAINER",
            "name" : "page_container",
            "getPSLayout" : {
              "dir" : "column",
              "layout" : "FLEX"
            },
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "getPSPanelItems" : [ {
              "caption" : "图片",
              "contentType" : "IMAGE",
              "itemStyle" : "DEFAULT",
              "itemType" : "RAWITEM",
              "name" : "static_image",
              "getPSLayoutPos" : {
                "grow" : -1,
                "layout" : "FLEX"
              },
              "getPSRawItem" : {
                "contentType" : "IMAGE",
                "name" : "static_image",
                "getPSSysImage" : {
                  "glyph" : "xf228@FontAwesome",
                  "cssClass" : "fa fa-venus-mars"
                },
                "predefinedType" : "STATIC_IMAGE"
              },
              "getPSSysImage" : {
                "glyph" : "xf228@FontAwesome",
                "cssClass" : "fa fa-venus-mars"
              },
              "showCaption" : true
            }, {
              "caption" : "文本",
              "contentType" : "RAW",
              "itemStyle" : "DEFAULT",
              "itemType" : "RAWITEM",
              "name" : "static_text",
              "getPSLayoutPos" : {
                "grow" : -1,
                "layout" : "FLEX"
              },
              "getPSRawItem" : {
                "caption" : "无数据",
                "contentType" : "RAW",
                "name" : "static_text",
                "predefinedType" : "STATIC_TEXT",
                "renderMode" : "TEXT"
              },
              "rawContent" : "无数据",
              "showCaption" : true
            } ]
          } ],
          "layoutPanel" : true,
          "name" : "emptypanel",
          "modelid" : "F36C4945-F71F-4642-B528-3DE879E30F60",
          "modeltype" : "PSSYSVIEWPANEL"
        },
        "renderType" : "LAYOUTPANEL"
      }, {
        "layoutPanelModel" : "return '测试内容'",
        "name" : "logic6",
        "renderType" : "LAYOUTPANEL_MODEL"
      } ],
      "getPSDEGridColumns" : [ {
        "align" : "LEFT",
        "cLConvertMode" : "NONE",
        "caption" : "学员登记信息名称",
        "codeName" : "reginfoname",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "reginfoname",
        "excelCaption" : "学员登记信息名称",
        "name" : "reginfoname",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "REGINFONAME",
          "codeName" : "ReginfoName"
        },
        "getPSControlRenders" : [ {
          "name" : "layout",
          "getPSLayoutPanel" : {
            "getAllPSPanelFields" : [ {
              "id" : "reginfoname",
              "viewFieldName" : "reginfoname"
            } ],
            "codeName" : "Usr0713899315",
            "controlType" : "PANEL",
            "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSPANELS/Usr0713899315.json",
            "layoutMode" : "Flex",
            "logicName" : "表格列绘制器",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "getPSControlParam" : { },
            "getPSLayout" : {
              "layout" : "FLEX"
            },
            "getRootPSPanelItems" : [ {
              "itemStyle" : "DEFAULT",
              "itemType" : "CONTAINER",
              "name" : "page_container",
              "getPSLayout" : {
                "dir" : "column",
                "layout" : "FLEX"
              },
              "getPSLayoutPos" : {
                "grow" : -1,
                "layout" : "FLEX"
              },
              "getPSPanelItems" : [ {
                "caption" : "文本(动态)",
                "itemStyle" : "DEFAULT",
                "itemType" : "FIELD",
                "name" : "reginfoname",
                "getPSEditor" : {
                  "editorType" : "SPAN",
                  "name" : "reginfoname",
                  "predefinedType" : "FIELD_TEXT_DYNAMIC",
                  "renderMode" : "TEXT_DYNAMIC",
                  "enableLinkView" : false
                },
                "getPSLayoutPos" : {
                  "grow" : -1,
                  "layout" : "FLEX"
                },
                "viewFieldName" : "reginfoname"
              } ]
            } ],
            "layoutPanel" : true,
            "name" : "layout",
            "modelid" : "BA395E21-F170-4780-A9A6-94C9BBCBB580",
            "modeltype" : "PSSYSVIEWPANEL"
          },
          "renderType" : "LAYOUTPANEL"
        } ],
        "getPSDEUIActionGroup" : {
          "codeName" : "Usr0412090031",
          "name" : "列行为组",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
          },
          "getPSUIActionGroupDetails" : [ {
            "actionLevel" : 250,
            "buttonStyle" : "WARNING",
            "caption" : "百度",
            "detailType" : "DEUIACTION",
            "name" : "ue718d5e",
            "getPSUIAction" : {
              "actionTarget" : "NONE",
              "buttonStyle" : "WARNING",
              "caption" : "百度",
              "codeName" : "openBaidu",
              "counterId" : "openBaidu",
              "frontProcessType" : "OPENHTMLPAGE",
              "fullCodeName" : "openBaidu",
              "htmlPageUrl" : "https://www.baidu.com/",
              "name" : "百度_警告样式",
              "getPSAppCounter" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPCOUNTERS/UIActionCounter.json"
              },
              "uIActionMode" : "FRONT",
              "uIActionTag" : "openBaidu",
              "uIActionType" : "DEUIACTION"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          } ],
          "uniqueTag" : "Reginfo__Usr0412090031"
        },
        "width" : 250,
        "widthUnit" : "PX",
        "enableSort" : true
      }, {
        "align" : "CENTER",
        "cLConvertMode" : "NONE",
        "caption" : "单位",
        "codeName" : "department",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "department",
        "excelCaption" : "单位",
        "name" : "department",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "DEPARTMENT",
          "codeName" : "DepartMent"
        },
        "width" : 250,
        "widthUnit" : "PX",
        "enableRowEdit" : true,
        "enableSort" : true
      }, {
        "align" : "RIGHT",
        "cLConvertMode" : "NONE",
        "caption" : "家庭住址",
        "codeName" : "address",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "address",
        "excelCaption" : "家庭住址",
        "name" : "address",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "ADDRESS",
          "codeName" : "Address"
        },
        "width" : 250,
        "widthUnit" : "PX",
        "enableSort" : true
      }, {
        "align" : "LEFT",
        "cLConvertMode" : "NONE",
        "caption" : "年龄",
        "codeName" : "age",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "age",
        "excelCaption" : "年龄",
        "name" : "age",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "AGE",
          "codeName" : "Age"
        },
        "width" : 250,
        "widthUnit" : "PX",
        "enableRowEdit" : true,
        "enableSort" : true
      }, {
        "align" : "RIGHT",
        "caption" : "操作",
        "codeName" : "uagridcolumn1",
        "columnType" : "UAGRIDCOLUMN",
        "name" : "uagridcolumn1",
        "noPrivDisplayMode" : 1,
        "getPSDEUIActionGroup" : {
          "codeName" : "A046596b6afb50f9e5b",
          "name" : "操作列",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
          },
          "getPSUIActionGroupDetails" : [ {
            "buttonStyle" : "DANGER",
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.EDIT"
            },
            "caption" : "编辑",
            "detailType" : "DEUIACTION",
            "name" : "u479f517",
            "getPSSysImage" : {
              "imagePath" : "view/caption.svg"
            },
            "getPSUIAction" : {
              "actionTarget" : "SINGLEKEY",
              "buttonStyle" : "DANGER",
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.EDIT"
              },
              "caption" : "编辑",
              "codeName" : "Edit",
              "fullCodeName" : "Edit",
              "name" : "表格界面_编辑操作_危险样式",
              "getPSSysImage" : {
                "glyph" : "xf044@FontAwesome",
                "cssClass" : "fa fa-edit"
              },
              "predefinedType" : "GRIDVIEW_EDITACTION",
              "timeout" : 60000,
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.EDIT"
              },
              "uIActionMode" : "SYS",
              "uIActionTag" : "Edit",
              "uIActionType" : "DEUIACTION"
            },
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.EDIT"
            },
            "addSeparator" : true,
            "showCaption" : true,
            "showIcon" : true
          }, {
            "caption" : "行编辑",
            "detailType" : "DEUIACTION",
            "name" : "ua98d563",
            "getPSSysImage" : {
              "glyph" : "xf0f1@FontAwesome",
              "cssClass" : "fa fa-stethoscope"
            },
            "getPSUIAction" : {
              "caption" : "行编辑",
              "codeName" : "ToggleRowEdit",
              "fullCodeName" : "ToggleRowEdit",
              "name" : "表格界面_行编辑开关操作",
              "getPSSysImage" : {
                "glyph" : "xf0ce@FontAwesome",
                "cssClass" : "fa fa-table"
              },
              "predefinedType" : "GRIDVIEW_ROWEDITACTION",
              "timeout" : 60000,
              "uIActionMode" : "SYS",
              "uIActionTag" : "ToggleRowEdit",
              "uIActionType" : "DEUIACTION",
              "enableToggleMode" : true
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : false
          } ],
          "uniqueTag" : "Reginfo__A046596b6afb50f9e5b"
        },
        "width" : 100,
        "widthUnit" : "STAR",
        "enableSort" : false
      } ],
      "getPSDEGridDataItems" : [ {
        "dataType" : 25,
        "name" : "reginfoname",
        "getPSAppDEField" : {
          "name" : "REGINFONAME",
          "codeName" : "ReginfoName"
        }
      }, {
        "dataType" : 25,
        "name" : "department",
        "getPSAppDEField" : {
          "name" : "DEPARTMENT",
          "codeName" : "DepartMent"
        }
      }, {
        "dataType" : 25,
        "name" : "address",
        "getPSAppDEField" : {
          "name" : "ADDRESS",
          "codeName" : "Address"
        }
      }, {
        "dataType" : 9,
        "name" : "age",
        "getPSAppDEField" : {
          "name" : "AGE",
          "codeName" : "Age"
        }
      }, {
        "dataType" : 25,
        "name" : "srfkey",
        "getPSAppDEField" : {
          "name" : "REGINFOID",
          "codeName" : "ReginfoId"
        }
      }, {
        "dataType" : 25,
        "name" : "srfdataaccaction",
        "getPSAppDEField" : {
          "name" : "REGINFOID",
          "codeName" : "ReginfoId"
        },
        "dataAccessAction" : true
      }, {
        "dataType" : 25,
        "name" : "studentid",
        "getPSAppDEField" : {
          "name" : "STUDENTID",
          "codeName" : "StudentId"
        }
      }, {
        "dataType" : 25,
        "name" : "preginfoid",
        "getPSAppDEField" : {
          "name" : "PREGINFOID",
          "codeName" : "Preginfoid"
        }
      }, {
        "dataType" : 25,
        "name" : "preginfoid2",
        "getPSAppDEField" : {
          "name" : "PREGINFOID2",
          "codeName" : "Preginfoid2"
        }
      }, {
        "dataType" : 25,
        "name" : "srfmajortext",
        "getPSAppDEField" : {
          "name" : "REGINFONAME",
          "codeName" : "ReginfoName"
        }
      } ],
      "getPSDEGridEditItemVRs" : [ {
        "checkMode" : 3,
        "name" : "编辑项值规则",
        "getPSDEGridEditItemName" : "age",
        "getPSSysValueRule" : {
          "codeName" : "ValueRule4",
          "dynaModelFilePath" : "PSSYSVALUERULES/ValueRule4.json",
          "name" : "正整数",
          "regExCode" : "[0-9]*[1-9][0-9]*",
          "ruleInfo" : "内容必须为正整数",
          "ruleType" : "REG",
          "uniqueTag" : "ValueRule4",
          "enableBackend" : true,
          "enableFront" : true
        },
        "valueRuleType" : "SYSVALUERULE"
      } ],
      "getPSDEGridEditItems" : [ {
        "caption" : "单位",
        "codeName" : "department",
        "enableCond" : 2,
        "ignoreInput" : 0,
        "name" : "department",
        "getPSAppDEField" : {
          "name" : "DEPARTMENT",
          "codeName" : "DepartMent"
        },
        "getPSEditor" : {
          "editorParams" : {
            "autosize" : "{\"minRows\":2,\"maxRows\":6}"
          },
          "editorType" : "TEXTAREA",
          "maxLength" : 100,
          "name" : "department",
          "showMaxLength" : true
        },
        "allowEmpty" : true
      }, {
        "caption" : "年龄",
        "codeName" : "age",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "name" : "age",
        "getPSAppDEField" : {
          "name" : "AGE",
          "codeName" : "Age"
        },
        "getPSEditor" : {
          "editorType" : "NUMBER",
          "name" : "age"
        },
        "allowEmpty" : true
      }, {
        "caption" : "学员登记信息标识",
        "codeName" : "srfkey",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "name" : "srfkey",
        "getPSAppDEField" : {
          "name" : "REGINFOID",
          "codeName" : "ReginfoId"
        },
        "getPSEditor" : {
          "editorType" : "HIDDEN",
          "name" : "srfkey"
        },
        "allowEmpty" : true
      } ],
      "getPSNavigateContexts" : [ {
        "key" : "FORMITEM",
        "name" : "FORMITEM",
        "value" : "32123",
        "rawValue" : true
      }, {
        "key" : "FORMITEM1",
        "name" : "FORMITEM1",
        "value" : "reginfoname",
        "rawValue" : false
      }, {
        "key" : "EMPTY",
        "name" : "EMPTY",
        "rawValue" : true
      } ],
      "getPSNavigateParams" : [ {
        "key" : "formitem5",
        "name" : "formitem5",
        "value" : "age",
        "rawValue" : false
      }, {
        "key" : "formitem3",
        "name" : "formitem3",
        "value" : "21332513",
        "rawValue" : true
      }, {
        "key" : "empty",
        "name" : "empty",
        "rawValue" : true
      } ],
      "pagingMode" : 3,
      "pagingSize" : 20,
      "getRemovePSControlAction" : {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
        }
      },
      "sortMode" : "REMOTE",
      "hasWFDataItems" : false,
      "enableColFilter" : false,
      "enableCustomized" : true,
      "enableGroup" : false,
      "enablePagingBar" : false,
      "enableRowEdit" : false,
      "enableRowEditOrder" : false,
      "enableRowNew" : false,
      "forceFit" : false,
      "hideHeader" : false,
      "noSort" : false,
      "singleSelect" : false,
      "name" : "grid",
      "modelid" : "79298f0344beee0b6f745936bb3a2fcd",
      "modeltype" : "PSDEGRID"
    }, {
      "codeName" : "Usr09062298CustomViewtoolbar",
      "controlType" : "TOOLBAR",
      "logicName" : "测试工具栏模型",
      "name" : "toolbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      },
      "getPSControlParam" : {
        "id" : "TOOLBAR"
      },
      "getPSDEToolbarItems" : [ {
        "contentType" : "RAW",
        "itemType" : "RAWITEM",
        "name" : "rawitem1",
        "getPSRawItem" : {
          "caption" : "直接内容项",
          "contentType" : "RAW",
          "name" : "rawitem1"
        },
        "rawContent" : "直接内容项",
        "showCaption" : true
      }, {
        "itemType" : "SEPERATOR",
        "name" : "seperator1"
      }, {
        "buttonStyle" : "WARNING",
        "caption" : "打开百度",
        "counterId" : "openBaidu",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction1",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "toolbar_deuiaction1"
        },
        "getPSSysImage" : {
          "cssClass" : "fa-solid fa-x"
        },
        "getPSUIAction" : {
          "actionTarget" : "NONE",
          "buttonStyle" : "WARNING",
          "caption" : "百度",
          "codeName" : "openBaidu",
          "counterId" : "openBaidu",
          "frontProcessType" : "OPENHTMLPAGE",
          "fullCodeName" : "openBaidu",
          "htmlPageUrl" : "https://www.baidu.com/",
          "name" : "百度_警告样式",
          "getPSAppCounter" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPCOUNTERS/UIActionCounter.json"
          },
          "uIActionMode" : "FRONT",
          "uIActionTag" : "openBaidu",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "打开百度",
        "uIActionTarget" : "NONE",
        "width" : 120.0,
        "showCaption" : true,
        "showIcon" : true
      }, {
        "caption" : "分组",
        "itemType" : "ITEMS",
        "name" : "items1",
        "getPSDEToolbarItems" : [ {
          "buttonStyle" : "WARNING",
          "caption" : "百度",
          "counterId" : "openBaidu",
          "groupExtractMode" : "ITEM",
          "itemType" : "DEUIACTION",
          "name" : "deuiaction2",
          "noPrivDisplayMode" : 2,
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "toolbar_deuiaction2"
          },
          "getPSSysImage" : {
            "glyph" : "xf0f1@FontAwesome",
            "cssClass" : "fa fa-stethoscope"
          },
          "getPSUIAction" : {
            "actionTarget" : "NONE",
            "buttonStyle" : "WARNING",
            "caption" : "百度",
            "codeName" : "openBaidu",
            "counterId" : "openBaidu",
            "frontProcessType" : "OPENHTMLPAGE",
            "fullCodeName" : "openBaidu",
            "htmlPageUrl" : "https://www.baidu.com/",
            "name" : "百度_警告样式",
            "getPSAppCounter" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCOUNTERS/UIActionCounter.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "openBaidu",
            "uIActionType" : "DEUIACTION"
          },
          "tooltip" : "百度",
          "uIActionTarget" : "NONE",
          "showCaption" : true,
          "showIcon" : true
        } ],
        "getPSSysImage" : {
          "cssClass" : "alert-sharp"
        },
        "tooltip" : "分组",
        "showCaption" : true,
        "showIcon" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.SAVE"
        },
        "caption" : "保存",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction3",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "toolbar_deuiaction3"
        },
        "getPSSysImage" : {
          "rawContent" : "<svg viewBox=\"0 0 16 16\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" width=\"1em\" focusable=\"false\"><g id=\"l1.Base基础/1.icon图标/2.normal/down-middle\" stroke-width=\"1\" fill-rule=\"evenodd\"><path d=\"M13.9621493,1.03175939 C14.5150317,1.03175939 14.9632314,1.47947464 14.9632314,2.03175939 L14.9632314,10.7821213 C14.9632314,11.334406 14.5150317,11.7821213 13.9621493,11.7821213 L2.05599385,11.7821213 C1.50311148,11.7821213 1.05491176,11.334406 1.05491176,10.7821213 L1.05491176,2.03175939 C1.05491176,1.47947464 1.50311148,1.03175939 2.05599385,1.03175939 L13.9621493,1.03175939 Z M13.7619329,2.23175939 L2.25621027,2.23175939 L2.25621027,10.5821213 L13.7619329,10.5821213 L13.7619329,2.23175939 Z M10.9746608,3.87833181 L11.9218667,4.6150821 L10.0630078,7.00493129 L7.02991434,7.00470696 L5.41492168,8.66514894 L4.55490701,7.82826498 L6.52382168,5.80493129 L9.47591434,5.80470696 L10.9746608,3.87833181 Z M10.3619415,13.8037895 L10.3619415,15.0037895 L5.37024,15.0037895 L5.37024,13.8037895 L10.3619415,13.8037895 Z\" id=\"l形状结合\"></path></g></svg>"
        },
        "getPSUIAction" : {
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.SAVE"
          },
          "caption" : "保存",
          "codeName" : "Save",
          "fullCodeName" : "Save",
          "name" : "编辑界面_保存操作",
          "getPSSysImage" : {
            "glyph" : "xf0c7@FontAwesome",
            "cssClass" : "fa fa-save"
          },
          "predefinedType" : "EDITVIEW_SAVEACTION",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.SAVE"
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Save",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "保存",
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.SAVE"
        },
        "showCaption" : true,
        "showIcon" : true
      } ],
      "modelid" : "8EFDBA29-05FE-4A71-ABD8-1A802F6B47C2",
      "modeltype" : "PSDETOOLBAR"
    }, {
      "caption" : "书",
      "codeName" : "Usr09062298CustomViewcaptionbar",
      "controlType" : "CAPTIONBAR",
      "name" : "captionbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      },
      "getPSControlParam" : { }
    } ]
  },
  "title" : "多数据容器仅数据",
  "viewStyle" : "DEFAULT",
  "viewType" : "DECUSTOMVIEW",
  "enableDP" : true,
  "modelid" : "db53d1b67818ad58c226bf47234ef416",
  "modeltype" : "PSAPPDEVIEW"
}